namespace OpenWarehouse.warehouse.api.Common.Warehouse;

public interface IWarehouseManager
{
    public Task<Data.Warehouse?> GetWarehouse(string id);
    public Task<ActionResult> EditWarehouse(Data.Warehouse warehouse, string? newName, string? newFiestLineAdres, string? newSecondLineAdress, Image? image);
    public Task<ActionResult> CreateWarehouse(Data.Warehouse warehouse);
    public Task<ActionResult> AddWarehouseClaim(Data.Warehouse warehouse, Claim claim);
    public Task<ActionResult> AddWarehouseClaims(Data.Warehouse warehouse, List<Claim> claims);
    public Task<List<Claim>> GetWarehouseClaim(Data.Warehouse warehouse);
}